
  <div class="container-fluid">
    <form #dataLayoutForm="ngForm" class="card-body">
      <ejs-grid #RIListGrid [dataSource]="RIRules" height="245"[allowPaging]="true" [allowSorting]="true"  
        [allowResizing]="true" [allowReordering]="true" [showColumnChooser]="true" [toolbar]="toolbar">
        <e-columns>
          <e-column field="data_layer_nm" headerText={{riFormContent.ruleListColumn.objLayerNm}}></e-column>
          <e-column field="obj_nm" headerText={{riFormContent.ruleListColumn.objNm}}></e-column>
          <e-column field="attr_nm" headerText="{{riFormContent.ruleListColumn.columnName}}"></e-column>
          <e-column field="bk_attr_nm" headerText="{{riFormContent.ruleListColumn.reportCols}}"></e-column>
          <e-column field="ri_data_layer_nm" headerText={{riFormContent.ruleListColumn.refLayerNm}}></e-column>
          <e-column field="ri_obj_nm" headerText={{riFormContent.ruleListColumn.refObjNm}}></e-column>
          <e-column field="ri_attr_nm" headerText="{{riFormContent.ruleListColumn.refArrtNm}}"></e-column>
          <e-column field="rule_desc" headerText="{{riFormContent.ruleListColumn.ruleDescription}}"></e-column>
          <e-column field="is_rule_actv" headerText="{{riFormContent.ruleListColumn.status}}"
          textAlign="Center">
          <ng-template #template let-RIRules>
            <label>{{RIRules.is_rule_actv?riFormContent.isRuleActv[0]:riFormContent.isRuleActv[1]}}</label>
          </ng-template>
        </e-column>
          <e-column field="rule_svrt" headerText="{{riFormContent.ruleListColumn.severity}}"></e-column>
          <e-column headerText="Commands" [commands]="commands"></e-column>
        </e-columns>
      </ejs-grid>
    </form>
    <div class="mt-0 mr-4 float-right">
      <button name="btnAddNewRule" #btnAddNewRule (click)="addNewRIRule()"
        class="btn btn-outline-warning" [disabled]="!dataQualityDetails.obj_id || dataQualityDetails.obj_id===0"
        >{{riFormContent.buttons.addNewRule}}</button>
    </div>
  </div>

<ejs-dialog #addNewRIRuleDialog [header]="isRuleEditMode?riFormContent.dialogForm.editRuleHeader:riFormContent.dialogForm.addRuleHeader" 
[buttons]="dlgButtons" [visible]="false" [isModal]="true" [position]="position">
  <ng-template #content>
    <form ngForm #addNewRIForm="ngForm" class="card-body">
      <div class="blocks">
        <p class="custom-h6 col-md-4">{{riFormContent.dataLayer.title}}</p>
        <ejs-dropdownlist name="selectLayer" #selectLayer="ngModel" [(ngModel)]="riDetails.data_layer_id"
          [dataSource]="businessLayerList" [fields]="layerFields" (change)=layerChange($event,0) cssClass=""
          class="mr-6 custom-ddl" [placeholder]="riFormContent.selectOptionWaterMark" disabled>
        </ejs-dropdownlist>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-4">{{riFormContent.object.title}}</p>
        <ejs-dropdownlist name="selectObject" #selectLayer="ngModel" [(ngModel)]="riDetails.obj_id"
        [dataSource]="objectList" [fields]="objectFields" (change)=objectChange($event,0) cssClass=""
        class="mr-6 custom-ddl" [placeholder]="riFormContent.selectOptionWaterMark" disabled>
        </ejs-dropdownlist>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-4">{{riFormContent.attribute.title}}<span class="mandatory"> *</span></p>
        <ejs-dropdownlist required width="250px" class="mr-6" name="attribute"
          #attribute="ngModel" [dataSource]="attributeList" [fields]="attributeFields"
          [placeholder]="riFormContent.selectOptionWaterMark" [(ngModel)]="riDetails.attr_id" cssClass="e-outline"
          (change)="attributeChange($event)" [disabled]="isRuleEditMode"
          [ngClass]="attribute.invalid && (attribute.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
        </ejs-dropdownlist>
        <ejs-tooltip id="tooltip" content={{riFormContent.attribute.subtitle}}>
          <em class="fa fa-info-circle"
          [ngClass]="attribute.invalid && (attribute.touched || formInvalidAfterSaveClick)?'error-info-highlight':''"></em></ejs-tooltip>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-4">{{riFormContent.checkType.title}}<span class="mandatory"> *</span></p>
        <ejs-dropdownlist required width="250px" class="mr-6" name="checkType" 
          #checkType="ngModel" [dataSource]="checkTypeList" [fields]="checkTypeFields"
          [placeholder]="riFormContent.selectOptionWaterMark" [(ngModel)]="riDetails.mstr_rule_id" cssClass="e-outline"
          [disabled]="isRuleEditMode" 
          [ngClass]="checkType.invalid && (checkType.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
        </ejs-dropdownlist>
        <ejs-tooltip id="tooltip" content={{riFormContent.checkType.subtitle}}>
          <em class="fa fa-info-circle"
          [ngClass]="checkType.invalid && (checkType.touched || formInvalidAfterSaveClick)?'error-info-highlight':''"></em></ejs-tooltip>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-4">{{riFormContent.condition.title}}</p>
        <ejs-textbox name="condition" [placeholder]="riFormContent.condition.title" cssClass="e-outline custom-text"
          #condition="ngModel" [(ngModel)]="riDetails.fltr_con" width="250px"></ejs-textbox>
          <ejs-tooltip id="tooltip" content={{riFormContent.condition.subtitle}}>
            <em class="fa fa-info-circle"></em></ejs-tooltip>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-4">{{riFormContent.reportCols.title}}</p>
          <ejs-multiselect name="reportingColumns" #reportingColumns="ngModel"
          [(ngModel)]="riDetails.bk_attr_id" [dataSource]="reportColList"
          [fields]="attributeFields" [selectAllText]="riFormContent.multiSelectOptionWaterMark"
          mode="CheckBox" showSelectAll="true" cssClass="e-outline" class="mr-6 custom-ddl"
          [placeholder]="riFormContent.selectOptionWaterMark">
        </ejs-multiselect>
          <ejs-tooltip id="tooltip" content={{riFormContent.reportCols.subtitle}}>
            <em class="fa fa-info-circle"></em></ejs-tooltip>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-4">{{riFormContent.referenceLayer.title}}<span class="mandatory"> *</span></p>
        <ejs-dropdownlist required width="250px" class="mr-6" name="riLayer" #riLayer="ngModel"
          [placeholder]="riFormContent.selectOptionWaterMark" [dataSource]="referenceLayerList" [fields]="layerFields"
          [(ngModel)]="riDetails.ri_data_layer_id" cssClass="e-outline" (change)=layerChange($event,1) [disabled]="isRuleEditMode"
          [ngClass]="riLayer.invalid && (riLayer.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
        </ejs-dropdownlist>
        <ejs-tooltip id="tooltip" content={{riFormContent.referenceLayer.subtitle}}>
          <em class="fa fa-info-circle"
          [ngClass]="riLayer.invalid && (riLayer.touched || formInvalidAfterSaveClick)?'error-info-highlight':''"></em></ejs-tooltip>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-4">{{riFormContent.referenceObject.title}}<span class="mandatory"> *</span></p>
        <ejs-dropdownlist required width="250px" class="mr-6" name="riObject" #riObject="ngModel"
          [placeholder]="riFormContent.selectOptionWaterMark" [dataSource]="referenceObjectList" [fields]="objectFields"
          [(ngModel)]="riDetails.ri_obj_id" cssClass="e-outline" (change)=objectChange($event,1) [disabled]="isRuleEditMode"
          [ngClass]="riObject.invalid && (riObject.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
        </ejs-dropdownlist>
        <ejs-tooltip id="tooltip" content={{riFormContent.referenceObject.subtitle}}>
          <em class="fa fa-info-circle"
          [ngClass]="riObject.invalid && (riObject.touched || formInvalidAfterSaveClick)?'error-info-highlight':''"></em></ejs-tooltip>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-4">{{riFormContent.referenceAttribute.title}}<span class="mandatory"> *</span></p>
        <ejs-dropdownlist required width="250px" class="mr-6" name="riAttribute" #riAttribute="ngModel"
          [placeholder]="riFormContent.selectOptionWaterMark" [dataSource]="referenceAttributeList" [fields]="attributeFields"
          [(ngModel)]="riDetails.ri_attr_id" cssClass="e-outline" (change)="refAttributeChange($event)" [disabled]="isRuleEditMode"
          [ngClass]="riAttribute.invalid && (riAttribute.touched || formInvalidAfterSaveClick)?'error-control-highlight':''">
        </ejs-dropdownlist>
        <ejs-tooltip id="tooltip" content={{riFormContent.referenceAttribute.subtitle}}>
          <em class="fa fa-info-circle"
          [ngClass]="riAttribute.invalid && (riAttribute.touched || formInvalidAfterSaveClick)?'error-info-highlight':''"></em></ejs-tooltip>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-4">{{riFormContent.referenceCondition.title}}</p>
        <ejs-textbox name="riCondition" #riCondition="ngModel" [(ngModel)]="riDetails.ri_fltr_con" 
        [placeholder]="riFormContent.referenceCondition.title" cssClass="e-outline custom-text" width="250px" ></ejs-textbox>
        <ejs-tooltip id="tooltip" content={{riFormContent.referenceCondition.subtitle}}>
          <em class="fa fa-info-circle"></em></ejs-tooltip>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-4">{{riFormContent.ruleDescription.title}}</p>
        <ejs-textbox name="ruleDescription" #ruleDescription="ngModel" [(ngModel)]="riDetails.rule_desc"
         [placeholder]="riFormContent.ruleDescription.title" width="250px" cssClass="e-outline custom-text" autofocus [multiline] = "true">
        </ejs-textbox>
        <ejs-tooltip id="tooltip" content={{riFormContent.ruleDescription.subtitle}}>
          <em class="fa fa-info-circle"></em></ejs-tooltip>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-4">{{riFormContent.status.title}}</p>
        <ul class="checkbox-container">
          <li class="checkbox-inline mr-2">
            <ejs-checkbox [label]="riFormContent.status.label" name="active" #active="ngModel"
                [(ngModel)]="riDetails.is_rule_actv" [value]="status" [disabled]="!isRuleEditMode">
              </ejs-checkbox>
          </li>
        </ul>
      </div>
      <div class="blocks">
        <p class="custom-h6 col-md-4">{{riFormContent.severity.title}}</p>
        <ul class="checkbox-container">
          <li *ngFor="let severityOption of severityOptions" class="checkbox-inline mr-2">
            <ejs-checkbox label="{{severityOption}}" name="severity" #severity="ngModel"
              [(ngModel)]="riDetails.rule_svrt" value="{{severityOption}}"
              (click)="riDetails.rule_svrt = severityOption">
            </ejs-checkbox>
          </li>
        </ul>
        </div>
    </form>
  </ng-template>
</ejs-dialog>